Whatsie, un cliente de WhatsApp para Linux que merece la pena tener en cuenta

WhatsApp-linux

He de reconocer que no soy un gran fan de WhatsApp. Primero porque es propiedad de una compañía que no es famosa precisamente por respetar la privacidad de los usuarios, aunque recientemente han empezado a cifrar todas sus conexiones de extremo a extremo. Después, porque no tiene cliente de escritorio como sí tienen Telegram y prácticamente todas las aplicaciones de la competencia. Pero no todos mis contactos piensan como yo. De hecho, prácticamente todos mis contactos usan WhatsApp y no otra aplicación de mensajería, por lo que tengo que terminar usando la app ahora propiedad de Facebook. Pero, ¿no estaría bien si pudiéramos usar WhatsApp sin depender del navegador? Pues esto es posible gracias a Whatsie.

Cómo instalar Whatsie

Teniendo en cuenta que el método oficial para usar WhatsApp desde un ordenador de escritorio es desde la página de WhatsApp Web, me sorprendería ver una aplicación nativa en los repositorios por defecto de Ubuntu, aunque no demasiado porque sí que hay aplicaciones en otras tiendas de aplicación. Dicho lo anterior, os habréis imaginado que no se puede instalar Whatsie con el comando sudo apt-get install, o no hasta usar antes otros comandos. Para instalar Whatsie tenéis que abrir un Terminal y escribir los siguientes comandos:

gpg --keyserver pool.sks-keyservers.net --recv-keys 1537994D
gpg --export --armor 1537994D | sudo apt-key add -
echo "deb https://dl.bintray.com/aluxian/deb stable main" | sudo tee -a /etc/apt/sources.list
sudo apt-get update
sudo apt-get install whatsie

Opción alternativa

Como veo que os está dando error a algunos usuarios, también podéis entrar al repositorio desde el navegador y descargar el paquete .deb de Whatsie. Una vez descargado, se hace doble clic sobre el paquete y se preparará la instalación. La web es ESTA.

Chateando con WhatsApp desde Whatsie

Whatsie en Ubuntu

El primer punto positivo que tienen Whatsie y otras aplicaciones de escritorio de este tipo es que no nos obliga a tener el navegador abierto, pero esas no son sus únicas ventajas. Desde el menú App de la barra superior podremos:

  • Iniciar la aplicación al iniciar el sistema (con opción de no ver nada).
  • Comprobar y auto-corregir la ortografía.
  • Que Whatsie siempre esté visible (Float on Top).
  • Que añada icono en la barra superior (Tray).
  • Abrir los enlaces en el navegador o en Electron (ventana emergente).

Además, Whatsie también nos permite usar unos temas que tiene instalados por defecto. El que veis en al captura anterior es el “Grey”. Por todo lo demás, su uso es prácticamente igual que el que haríamos desde web.whatsapp.com, pero creo que merece la pena tener una aplicación y, mientras esperamos a que lancen una versión que no dependa del smartphone (algo que creo que no llegará jamás), creo que Whatsie es la mejor opción que podemos usar en Ubuntu. ¿Qué opináis vosotros?


Categorías

Software, Ubuntu

Pablo Aparicio

Apasionado por todo tipo de tecnología, tanto del hardware como del software. Adicto a escuchar toda clase de música y a tocar (guitarra y bajo) la... Ver perfil ›

25 comentarios

  1. Jose Luis Jose  Jose Luis Jose dijo

    si fuera un cliente para ubuntu phone, sería superbien

    1.  Joaquin Molas Marti  Joaquin Molas Marti dijo

      ahi esta y creo q venderian mas

  2.   SusVa dijo

    Interesante. Gracias por el dato, lo probaré.

  3.   Eder dijo

    Me da “error en el servidor de claves”

  4.   Pedro dijo

    Gracias Pablo va perfecto

  5. Eduardo Guillén  Eduardo Guillén dijo

    Tenemos cliente telegram desde hace rato mil veces mejor

  6. muy bueno ya lo instale y lo uso bien lo unico es k nose como escuchar los audios

  7. Disculpen, alguien conoce si ¿habría riesgo que la cuenta de whatsapp se bloquee por no usar un cliente oficial?, pregunto porque una vez casi me pasó usándolo con pidgin.

    1.    Pablo Aparicio dijo

      Hola, Maykol (y todos los que preguntáis más o menos lo mismo): todo es posible, pero estos clientes son prácticamente lo mismo que el oficial. Dicho de otro modo, son como una web-app y CREO que no habrá problema.

      Un saludo.

  8.   Leon S dijo

    lo instale pero tengo mas contactos en telegram que en whatsapp

  9. Juanjo Fernandez  Juanjo Fernandez dijo

    a mi por usar pidgin me bloquearon la cuenta y no tengo smartphone… lo puedo configurar tal cual el telegram? me putearan por no tener la aplicacion oficial? gracias

  10.   diego dijo

    Lo quiero lanzar y no se abre..q hago?

    1.    Pablo Aparicio dijo

      Hola, Diego. ¿Has probado a escribir whatsie en un terminal?

      1.    Cristian Rosales dijo

        Pablo amigo, estoy intentando la instalación y al momento de hacer el ” sudo apt-get update” carga un rato y luego me dice esto

        “W: Imposible obtener http://dl.google.com/linux/chrome-remote-desktop/deb/dists/stable/Release No se pudo encontrar la entrada esperada «main/binary-i386/Packages» en el archivo Release (entrada incorrecta en sources.list o archivo mal formado)

        E: Algunos archivos de índice fallaron al descargar. Se han ignorado, o se han utilizado unos antiguos en su lugar”

        Ignorandolo intento instalar con el “sudo apt-get install whatsie” carga un par de cosas y luego me dice

        “Configurando liberror-perl (0.17-1.1) …
        Configurando git-man (1:1.9.1-1ubuntu0.3) …
        Configurando git (1:1.9.1-1ubuntu0.3) …
        Configurando whatsie (2.0.12-337) …

        W: Duplicate sources.list entry https://dl.bintray.com/aluxian/deb/ stable/main amd64 Packages (/var/lib/apt/lists/dl.bintray.com_aluxian_deb_dists_stable_main_binary-amd64_Packages)

        W: Duplicate sources.list entry https://dl.bintray.com/aluxian/deb/ stable/main i386 Packages (/var/lib/apt/lists/dl.bintray.com_aluxian_deb_dists_stable_main_binary-i386_Packages)

        W: Tal vez quiera ejecutar «apt-get update» para corregir estos problemas”

        Agradeceria pudieras ayudarme a buscar solucion y poder instalar, Estoy usando Xubuntu.

        1.    Pablo Aparicio dijo

          Hola, Cristian. Por lo que veo, en ese momento intenta descargarte del repositorio de Chrome y creo que dejaron de ofrecer soporte. Ahí podrías tener un error. Los otros son de Whatsie y te puede dar error porque se ha caído o algo.

          Busca en el panel de aplicaciones “Software y actualizaciones”. Ahí tienes una pestaña que creo recordar que pone “Otro software”. Si desactivas el de Chrome, eliminas el primer error. Luego elimina también el de https://dl.bintray.com/aluxian/deb y vuelve a empezar.

          Otra opción es eliminar el repositorio desde el mismo apartado, entrar aquí https://dl.bintray.com/aluxian/deb/pool/main/w/whatsie/ y buscar la versión que te vaya bien. Son paquetes de Debian (Ubuntu se basa en Debian). El más actual es el 2.0.9, que está debajo. Elige el de 32 o 64-bits, le haces doble clic y lo instalas.

          Un saludo.

          Si

          1.    Cristian Rosales dijo

            Todo marcha perfecto, muy agradecido, un saludo.


  11.   joel dijo

    una porqueria de consejo,de artículo y de recomendación. No sirve,ni abre, ni funciona. Un asco la página

  12.   Nestor A. Vargas dijo

    Perfecto me va de lujo y su tema orange muy bueno… gracias por el articulo…

  13.   benjamathias dijo

    tengo este error

    ####

    JavaScript error in the main process
    Error: /tmp/.org.chromium.Chromium.yshACc: failed to map segment from shared object: Operation not permitted
    at Error (native)
    at process.module.(anonymous function) [as dlopen] (ATOM_SHELL_ASAR.js:158:20)
    at Object.Module._extensions..node (module.js:440:18)
    at Object.module.(anonymous function) [as .node] (ATOM_SHELL_ASAR.js:169:18)
    at Module.load (module.js:357:32)
    at Function.Module._load (module.js:314:12)
    at Module.require (module.js:367:17)
    at require (internal/module.js:16:19)
    at Object. (/opt/whatsie/resources/app.asar/node_modules/spellchecker/lib/spellchecker.js:2:16)
    at Module._compile (module.js:413:34)
    [Sun, 17 Apr 2016 04:19:23 GMT] /scripts/browser/main.js: [Error: /tmp/.org.chromium.Chromium.yshACc: failed to map segment from shared object: Operation not permitted]
    ATOM_SHELL_ASAR.js:158
    return old.apply(this, arguments)

    ####

    DISTRIB_ID=LinuxMint
    DISTRIB_RELEASE=17.3
    DISTRIB_CODENAME=rosa
    DISTRIB_DESCRIPTION=”Linux Mint 17.3 Rosa” X64

  14. Joya hice todo de diez pero no es compatible con el NOKIA S40 … jajjaj que garron me comi! … saludos desde argentina

  15.   Enrique dijo

    El corrector ortográfico esta sólo en inglés, alguien sabe como ponerlo en castellano?

  16.   Victor Flores dijo

    hola, tengo un problema y no se como resolverlo y es el siguiente

    victor@Sistema-Portatil:~$ sudo apt-get install whatsie
    Leyendo lista de paquetes… Hecho
    Creando árbol de dependencias
    Leyendo la información de estado… Hecho
    E: El paquete whatsie necesita ser reinstalado, pero no se encuentra el archivo para ello.

  17.   sideshowjosh dijo

    Hola Pablo, Gracias por el aporte.
    Lo instalé en Linux Mint 17 y funcionó perfectamente. Pero después lo he instalado en Ubuntu 16 mate, la instalación va perfectamente, lo ejecutas y configuras sin problemas, pero al reiniciar el equipo, cuando lanzas la aplicación esta está abierta pero no aparece en ningún escritorio, ni con alt+tab. y no puedo abrirla porque ya se está ejecutando, es como si se abriera en algun plano de la memoria donde no puedo acceder. esto le ha pasado a alguien mas??

  18.   IsaiasX dijo

    lo instale en manjaro, y se come como unos 500 de ram, prefiero por ahora usar franz que es cliente para muchos otros mas y consume la mitad, para telegram lo mejor es su cliente oficial, unos 48 MB consume en ram.

  19.   ruxconi dijo

    Adhiero al último comentario: whatsie muy bonito pero se come el 25% de la memoria de mi productiva y liviana notebook con elementary. Así no sirve. Vamos a darle una oportunidad al amigo Franz 😉

Escribe un comentario